let rx="("+[

        // t('message.hello', { msg: 'hello' })
        String.raw`\bt\(\s*%1.*?\)`,

        // i18nKey='ID'
        String.raw`\bi18nKey=%1`

].join('|')+")";



info = {
    'name': 'i18next',
    'version': '1.0.0',
    'description': 'i18next JSON files',
    'file-mode': "language-dir",
    'supports-file-creation': true,
    'delimiter': '.',
    'namespace-delimiter': ':',
    'namespace-is-optional-in-source-code': true,
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "'%1'", "{ this.props.t('%1') }", "{ t('%1') }" ],
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],

    'sources-to-scan': ['*.js', '*.jsx', '*.ts', '*.tsx'],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,

    configuration: [
        common.configuration[0], // indent
        {
            'name': 'format',
            'displayName': 'Format',
            'type': 'enum',
            'default': 'namespaced-json',
            'values': {
                'namespaced-json': 'i18next JSON'
            }
        },
        common.configuration[2] // support_arrays
    ],

    formats: common.formats

};

fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
