let rx="("+[

     // blah.get('xxx', {})
     String.raw`[A-Za-z0-9_]*\.(get|getTranslation|instant)\s*\(\s*\[?%1.*?\)`,

     // _('xxx')
     String.raw`_\(\s*%1.*?\)`,

     // {{ 'XXX' | translate }}
     String.raw`\{\{\s*%1\s*\|\s*translate.*?\}\}`,

     // <div html="'XXX' | translate"/>
     String.raw`<[^>]*?\s*=\s*(?<q1>["'])s*%1\s*\|\s*translate.*?\g{q1}.*?>`,

     // <div [translate]='"XXX"'/>
     String.raw`<[^>]*?\[\s*translate\s*\]\s*=\s*(?<q2>["'])\s*%1\g{q2}.*?>`,

     // <div translate [translateParams]="{value: 'world'}">key-as-element</div>
     String.raw`<[^>]*?\s+translate\s+.*?>[^<]+</[^>]*?>`,

].join('|')+")";


info = {
    'name': 'ngx-translate',
    'version': '1.0.0',
    'description': 'I/O module for ngx-translate',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "{{'%1' | translate}}", "[translate]=\"'%1'\"", "_('%1')"],
    'configuration': common.configuration,
    'formats': common.formats,
    'exclude-dirs': ['node_modules', 'vendor', 'dist', 'coverage'],
    'sources-to-scan': ["*.ts", '*.html', '*.js'],
    'sources-to-exclude': ["*.spec.ts", '*.ts.html'],
    'source-scanner-rx': rx,
};

fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
