let rx="("+[

    '<FormattedMessage.*?</FormattedMessage>',

    '<FormattedHTMLMessage.*?</FormattedHTMLMessage>',

    // <FormattedHTMLMessage id="" values={{ what: 'react-intl' }} message=''/>
    String.raw`<(FormattedMessage|FormattedHTMLMessage)(\s*\S+\s*=\s*(%1|\{.*?\}))*?\s*/>`,

    '%1'

].join('|')+")";


info = {
    'name': 'react-json',
    'version': '1.0.0',
    'description': 'React JSON files',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "'%1'" ],
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],
    'sources-to-scan': ['*.js', '*.jsx', '*.ts', '*.tsx'],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,
    'configuration': common.configuration,
    'formats': common.formats
};


fileio = {
    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}



